unit debugwnd;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TDebugWindow = class(TForm)
    Panel1: TPanel;
    CloseBtn: TBitBtn;
    CopyBtn: TBitBtn;
    DebugList: TMemo;
    ClearBtn: TBitBtn;
    procedure CloseBtnClick(Sender: TObject);
    procedure CopyBtnClick(Sender: TObject);
    procedure ClearBtnClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DebugWindow: TDebugWindow;

implementation

{$R *.DFM}

procedure TDebugWindow.CloseBtnClick(Sender: TObject);
begin
  Hide;
end;

procedure TDebugWindow.CopyBtnClick(Sender: TObject);
begin
  with DebugList do begin
    SelectAll;
    CopyToClipboard;
    SelStart := 0;
    SelLength := 0;
  end;
end;

procedure TDebugWindow.ClearBtnClick(Sender: TObject);
begin
  DebugList.Lines.Clear;
end;

procedure TDebugWindow.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caHide;
end;

end.

